### Method

# EDataServer NamedParameters test

since: 3.8

#### Declaration [src]

    gboolean
    e_named_parameters_test (
      const ENamedParameters* parameters,
      const gchar* name,
      const gchar* value,
      gboolean case_sensitively
    )

#### Description [src]

Compares current value of parameter named `name` with given `value` and returns whether they are equal, either case sensitively or insensitively, based on `case_sensitively` argument. Function returns `FALSE`, if no such parameter exists.

Available since: 3.8

#### Parameters

`name`

  Type: `const gchar*`

  Name of a parameter to test.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  Value to test.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`case_sensitively`

  Type: `gboolean`

  Whether to compare case sensitively.

#### Return value

Type: `gboolean`

Whether parameter of given name has stored value of given value.